# N body simulation 

#Ref: https://stackoverflow.com/questions/49384301/make-clean-failed-in-windows
ifeq ($(OS),Windows_NT)
	RM = del /Q /F
	CP = copy /Y
        EXP = set

	ifdef ComSpec
		SHELL := $(ComSpec)
	endif

	ifdef COMSPEC
		SHELL := $(COMSPEC)
	endif
else
	RM = rm -rf
	CP = cp -f
	EXP = export
endif


#Ref: https://makefiletutorial.com/
CC=gcc

DEPS= vector.h n_body.h
SRC=  vector.c n_body.c main.c
OBJ=  vector.o n_body.o main.o
TAREXE=  n_body.exe


all: clean compile run

.PHONY: compile
compile: $(OBJ)
		$(CC) -Wall -g -o $(TAREXE) $(OBJ) 

%.o: %.c $(DEPS) $(SRC)
		$(CC) -Wall -g -o $@  -c $<  

#Ref: https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html
.PHONY: run
run: $(TAREXE) 
	 $(TAREXE)  n_body.dat

.PHONY: clean  
clean: 
	-$(RM) *.o
	-$(RM) $(TAREXE)
	@echo "clean complete"


